## org.omg.CORBA
Class PolicyCurrentHelper

    java.lang.Object
      |
      +--org.omg.CORBA.PolicyCurrentHelper

public class PolicyCurrentHelper
extends java.lang.Object

Helper class for : PolicyCurrent

Author:
  OpenORB Compiler

Constructor Summary
`PolicyCurrentHelper()`

Method Summary
`static PolicyCurrent` `extract(Any a)` Extract PolicyCurrent from an any
`static java.lang.String` `id()` Return the PolicyCurrent IDL ID
`static void` `insert(Any a, PolicyCurrent t)` Insert PolicyCurrent into an any
`static PolicyCurrent` `narrow(Object obj)` Narrow CORBA::Object to PolicyCurrent
`static PolicyCurrent` `read(InputStream istream)` Read PolicyCurrent from a marshalled stream
`static TypeCode` `type()` Return the PolicyCurrent TypeCode
`static PolicyCurrent` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to PolicyCurrent
`static void` `write(OutputStream ostream, PolicyCurrent value)` Write PolicyCurrent into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyCurrentHelper

    public PolicyCurrentHelper()

Method Detail

### insert

    public static void insert(Any a,
                              PolicyCurrent t)

  Insert PolicyCurrent into an any
  Parameters:
    `a` - an any
    `t` - PolicyCurrent value

### extract

    public static PolicyCurrent extract(Any a)

  Extract PolicyCurrent from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PolicyCurrent value

### type

    public static TypeCode type()

  Return the PolicyCurrent TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PolicyCurrent IDL ID
  Returns:
    an ID

### read

    public static PolicyCurrent read(InputStream istream)

  Read PolicyCurrent from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PolicyCurrent value

### write

    public static void write(OutputStream ostream,
                             PolicyCurrent value)

  Write PolicyCurrent into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PolicyCurrent value

### narrow

    public static PolicyCurrent narrow(Object obj)

  Narrow CORBA::Object to PolicyCurrent
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PolicyCurrent Object

### unchecked_narrow

    public static PolicyCurrent unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to PolicyCurrent
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PolicyCurrent Object